Subject: oops re address

From: [email-masked]
Date: Sat, 2 Sep 1995 23:10:20 -0500 (CDT)

OOps!!! On 9/1/95 I posted an address for Permaculture Resources, but had a 
type in the state....it's in Califon New Jersey...that's Califon, NJ 07830. 
Scot - They list only an 800 phone no., but the fax no. is 908-832-9162. Sorry 
for the confusion.  Carol